<?xml version="1.0" encoding="utf-8"?>
<manifest
  xmlns:android="http://schemas.android.com/apk/res/android"
  package="com.facebook.react.uiapp">

  <uses-feature
    android:name="android.software.leanback"
    android:required="false" />
  <uses-feature
    android:name="android.hardware.touchscreen"
    android:required="false" />

  <uses-permission android:name="android.permission.INTERNET" />
  <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
  <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
  <uses-permission android:name="android.permission.VIBRATE"/>
  <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>

  <!--Just to show permissions example-->
  <uses-permission android:name="android.permission.CAMERA"/>
  <uses-permission android:name="android.permission.READ_CALENDAR"/>

  <!--
  android:icon is used to display launcher icon on mobile devices.
  android:banner is used to display a rectangular banned launcher icon on Android TV devices.
  -->
  <application
      android:name=".RNTesterApplication"
      android:allowBackup="true"
      android:banner="@drawable/tv_banner"
      android:icon="@drawable/launcher_icon"
      android:label="@string/app_name"
      android:theme="@style/Theme.ReactNative.AppCompat.Light" >
    <activity
        android:name=".RNTesterActivity"
        android:label="@string/app_name"
        android:screenOrientation="fullSensor"
        android:launchMode="singleTask"
        android:configChanges="orientation|screenSize|uiMode" >
      <intent-filter>
        <action android:name="android.intent.action.MAIN" />
        <category android:name="android.intent.category.LAUNCHER" />
        <!-- Needed to properly create a launch intent when running on Android TV -->
        <category android:name="android.intent.category.LEANBACK_LAUNCHER" />
      </intent-filter>
      <intent-filter>
        <action android:name="android.intent.action.VIEW" />
        <category android:name="android.intent.category.DEFAULT" />
        <category android:name="android.intent.category.BROWSABLE" />
        <!-- Accepts URIs that begin with "rntester://example" -->
        <data android:scheme="rntester" android:host="example" />
      </intent-filter>
    </activity>
    <activity android:name="com.facebook.react.devsupport.DevSettingsActivity" />
  </application>

</manifest>
